Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I need to download a version of Firefox that is optimized for Yahoo! but I cannot use Firefox 4 for Yahoo! because it doesn't support Norton 360 as of yet. Any suggestions?

  • 1 balasan
  • 1 ada masalah ini
  • 1 paparan
  • Balasan terakhir oleh TonyE

more options

If you do have any suggestions, where can I find it? The only place I know of is the http://www.mozilla.com/en-US/firefox/all-older.html web site and you can only get version 3.6.16 there and it's NOT optimized for Yahoo!. Please help!

Yahoo! keeps sending me the following message in a box on my screen along with the links to Firefox 4 and IE : Attention: Please upgrade to the latest Yahoo! optimized browser to ensure the best Yahoo! experience. But, as I stated in the question above, I cannot use Firefox 4 yet because it does NOT support Norton 360. Plus, I don't trust IE8 to use Facebook!

Thanks for any help you can give me! Your very prompt attention to this question is greatly appreciated as I am sort of at a standstill before moving on with my work.

Regards,

Christine

(Running Windows Vista Service Pack 2)

All Replies (1)

more options

Symantec have released an update for Norton 360 to make it compatible with Firefox 4, for details see http://us.norton.com/support/kb/web_view.jsp?wv_type=public_web&docurl=20100720113635EN&ln=en_US